<!DOCTYPE style-sheet PUBLIC "-//James Clark//DTD DSSSL Style Sheet//EN"

[<!ENTITY % html "IGNORE">

<![%html;[
<!ENTITY % print "IGNORE">
<!ENTITY docbook.dsl SYSTEM "/usr/share/sgml/docbook/stylesheet/dsssl/modular/html/docbook.dsl" CDATA dsssl>
]]>

<!ENTITY % print "INCLUDE">
<![%print;[
<!ENTITY docbook.dsl SYSTEM "/usr/share/sgml/docbook/stylesheet/dsssl/modular/print/docbook.dsl" CDATA dsssl>
]]>

]>


<style-sheet>

<style-specification id="html" use="docbook">
<style-specification-body>
;; use IDs
(define %use-id-as-filename%
  1)

;; set the index to index.html
(define %root-filename%
  "index")

;; use our own stylesheet
(define %stylesheet%
  "style.css")

;; don't display lists in the main index
(define ($generate-book-lot-list$)
  (list ))

;; header
(define (default-header-nav-tbl-noff elemnode prev next prevsib nextsib)
  (let* ((r1? (nav-banner? elemnode))
     (r1-sosofo (make element gi: "TR"
              (make element gi: "TH"
                attributes: (list
                         (list "COLSPAN" "3")
                         (list "ALIGN" "right"))
                (nav-banner elemnode))))
     (r2? (or (not (node-list-empty? prev))
          (not (node-list-empty? next))
          (nav-context? elemnode)))
     (r2-sosofo (make element gi: "TR"
              (make element gi: "TD"
                attributes: (list
                         (list "WIDTH" "10%")
                         (list "ALIGN" "left")
                         (list "VALIGN" "bottom"))
                (if (node-list-empty? prev)
                    (make entity-ref name: "nbsp")
                    (make element gi: "A"
                      attributes: (list
                               (list "HREF" 
                                 (href-to 
                                  prev))
                               (list "ACCESSKEY"
                                 "P"))
                      (gentext-nav-prev prev)))
                (make entity-ref name: "nbsp")
                (make entity-ref name: "nbsp")
                (nav-home-link elemnode)
                (make entity-ref name: "nbsp")
                (make entity-ref name: "nbsp")
                (if (node-list-empty? next)
                    (make entity-ref name: "nbsp")
                    (make element gi: "A"
                      attributes: (list
                               (list "HREF" 
                                 (href-to
                                  next))
                               (list "ACCESSKEY"
                                 "N"))
                      (gentext-nav-next next))))
              (make element gi: "TD"
                attributes: (list
                         (list "WIDTH" "90%")
                         (list "ALIGN" "right")
                         (list "VALIGN" "bottom"))
                (nav-context elemnode))
)))
    (if (or r1? r2?)
    (make element gi: "DIV"
          attributes: '(("CLASS" "NAVHEADER"))
      (make element gi: "TABLE"
        attributes: (list
                 (list "SUMMARY" "Header navigation table")
                 (list "WIDTH" %gentext-nav-tblwidth%)
                 (list "BORDER" "0")
                 (list "CELLPADDING" "0")
                 (list "CELLSPACING" "0"))
        (if r1? r1-sosofo (empty-sosofo))
        (if r2? r2-sosofo (empty-sosofo)))
      (make empty-element gi: "HR"
        attributes: (list
                 (list "ALIGN" "LEFT")
                 (list "WIDTH" %gentext-nav-tblwidth%))))
    (empty-sosofo))))

;; no border in 'peril' tables
(define ($peril$)
  (let* ((title     (select-elements 
             (children (current-node)) (normalize "title")))
     (has-title (not (node-list-empty? title)))
     (adm-title (if has-title 
            (make sequence
              (with-mode title-sosofo-mode
                (process-node-list (node-list-first title))))
            (literal
             (gentext-element-name 
              (gi (current-node))))))
     (id     (attribute-string (normalize "id"))))
    (if %admon-graphics%
    ($graphical-admonition$)
    (make element gi: "DIV"
          attributes: (list (list "CLASS" (gi)))
          ;; The DIV isn't strictly necessary, of course, but it
          ;; is consistent with the graphical-admonition case.
          (if %spacing-paras%
          (make element gi: "P" (empty-sosofo))
          (empty-sosofo))
          (make element gi: "TABLE"
            attributes: (list
                 (list "CLASS" (gi))
                 (list "BORDER" "0")
                 (list "WIDTH" ($table-width$)))
            (make element gi: "TR"
              (make element gi: "TD"
                attributes: (list
                         (list "ALIGN" "CENTER"))
                (make element gi: "B"
                      (if id
                      (make element gi: "A"
                        attributes: (list (list "NAME" id))
                        (empty-sosofo))
                      (empty-sosofo))
                      adm-title)))
            (make element gi: "TR"
              (make element gi: "TD"
                attributes: (list
                         (list "ALIGN" "CENTER"))
                (process-children))))))))



</style-specification-body>
</style-specification>

<!--
<style-specification id="print" use="docbook">
<style-specification-body>
(define %stylesheet%
  ;; Should a Table of Contents be produced for Books?
  "style.css")
</style-specification-body>
</style-specification>
-->


<external-specification id="docbook" document="docbook.dsl">

</style-sheet>
